# Uses of Interface
org.springframework.jdbc.support.lob.LobCreator

Packages that use LobCreator
Package
Description
org.springframework.jdbc.core.support
Classes supporting the `org.springframework.jdbc.core` package.
org.springframework.jdbc.support.lob
Provides a strategy interface for Large OBject handling, as well as a customizable default implementation.

## Uses of LobCreator in org.springframework.jdbc.core.support

Methods in org.springframework.jdbc.core.support with parameters of type LobCreator
Modifier and Type
Method
Description
`protected abstract void`
AbstractLobCreatingPreparedStatementCallback.`setValues(PreparedStatement ps, LobCreator lobCreator)`
Deprecated.
Set values on the given PreparedStatement, using the given LobCreator for BLOB/CLOB arguments.

## Uses of LobCreator in org.springframework.jdbc.support.lob

Classes in org.springframework.jdbc.support.lob that implement LobCreator
Modifier and Type
Class
Description
`protected class`
`DefaultLobHandler.DefaultLobCreator`
Deprecated.
Default LobCreator implementation as an inner class.
`class`
`TemporaryLobCreator`
Deprecated.
as of 6.2, in favor of `SqlBinaryValue` and `SqlCharacterValue`
Methods in org.springframework.jdbc.support.lob that return LobCreator
Modifier and Type
Method
Description
`LobCreator`
DefaultLobHandler.`getLobCreator()`
Deprecated.
`LobCreator`
LobHandler.`getLobCreator()`
Deprecated.
Create a new `LobCreator` instance, i.e.